buildr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alex Boisvert" <boisv...@intalio.com>
Subject Re: Upgrade to JMock 2
Date Mon, 22 Sep 2008 21:57:42 GMT
On Mon, Sep 22, 2008 at 2:25 PM, Assaf Arkin <arkin@intalio.com> wrote:

> How bad is the " isn't 100% backward compatible with JMock 1."


The documentation says:
"Removes API elements deprecated by version 1.2.0."

In the next release you'll be able to pick which version of JMock to
> use by setting a single line in build.yml.  If we don't make the
> upgrade yet, you can upgrade for your projects; if we do make the
> upgrade and it breaks, you can force your projects to use the older
> version.  But generally we don't want to have a point release that
> breaks, that's better pushed to the next major/minor release.


I'm fine waiting for 1.4.0.  We could also upgrade to JUnit 4.5 at the same
time.

alex

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message